typedef union
{
 lltok tok;
 int count;
 specialClauseKind sck;
 qual typequal;
 qualList tquallist;
 ctype ctyp;
 sRef sr;
 /*@only@*/ qtype qtyp;
 /*@only@*/ cstring cname;
 /*@only@*/ idDecl ntyp;
 /*@only@*/ idDeclList ntyplist;
 /*@only@*/ uentryList flist;
 /*@owned@*/ uentryList entrylist;
 /*@observer@*/ /*@dependent@*/ uentry entry;
 /*@only@*/ uentry oentry;
 /*@only@*/ exprNode expr;
 /*@only@*/ enumNameList enumnamelist;
 /*@only@*/ exprNodeList alist;
 /*@only@*/ sRefSet srset; 
 /*@only@*/ cstringList cstringlist;
} YYSTYPE;
#define	BADTOK	257
#define	SKIPTOK	258
#define	CTOK_ELIPSIS	259
#define	CASE	260
#define	DEFAULT	261
#define	CIF	262
#define	CELSE	263
#define	SWITCH	264
#define	WHILE	265
#define	DO	266
#define	CFOR	267
#define	GOTO	268
#define	CONTINUE	269
#define	BREAK	270
#define	RETURN	271
#define	TSEMI	272
#define	TLBRACE	273
#define	TRBRACE	274
#define	TCOMMA	275
#define	TCOLON	276
#define	TASSIGN	277
#define	TLPAREN	278
#define	TRPAREN	279
#define	TLSQBR	280
#define	TRSQBR	281
#define	TDOT	282
#define	TAMPERSAND	283
#define	TEXCL	284
#define	TTILDE	285
#define	TMINUS	286
#define	TPLUS	287
#define	TMULT	288
#define	TDIV	289
#define	TPERCENT	290
#define	TLT	291
#define	TGT	292
#define	TCIRC	293
#define	TBAR	294
#define	TQUEST	295
#define	CSIZEOF	296
#define	CALIGNOF	297
#define	ARROW_OP	298
#define	CTYPEDEF	299
#define	COFFSETOF	300
#define	INC_OP	301
#define	DEC_OP	302
#define	LEFT_OP	303
#define	RIGHT_OP	304
#define	LE_OP	305
#define	GE_OP	306
#define	EQ_OP	307
#define	NE_OP	308
#define	AND_OP	309
#define	OR_OP	310
#define	MUL_ASSIGN	311
#define	DIV_ASSIGN	312
#define	MOD_ASSIGN	313
#define	ADD_ASSIGN	314
#define	SUB_ASSIGN	315
#define	LEFT_ASSIGN	316
#define	RIGHT_ASSIGN	317
#define	AND_ASSIGN	318
#define	XOR_ASSIGN	319
#define	OR_ASSIGN	320
#define	CSTRUCT	321
#define	CUNION	322
#define	CENUM	323
#define	VA_ARG	324
#define	VA_DCL	325
#define	QGLOBALS	326
#define	QMODIFIES	327
#define	QNOMODS	328
#define	QCONSTANT	329
#define	QFUNCTION	330
#define	QITER	331
#define	QDEFINES	332
#define	QUSES	333
#define	QALLOCATES	334
#define	QSETS	335
#define	QRELEASES	336
#define	QPRECLAUSE	337
#define	QPOSTCLAUSE	338
#define	QALT	339
#define	QUNDEF	340
#define	QKILLED	341
#define	QENDMACRO	342
#define	LLMACRO	343
#define	LLMACROITER	344
#define	LLMACROEND	345
#define	TENDMACRO	346
#define	QSWITCHBREAK	347
#define	QLOOPBREAK	348
#define	QINNERBREAK	349
#define	QSAFEBREAK	350
#define	QINNERCONTINUE	351
#define	QFALLTHROUGH	352
#define	QLINTNOTREACHED	353
#define	QLINTFALLTHROUGH	354
#define	QLINTFALLTHRU	355
#define	QARGSUSED	356
#define	QPRINTFLIKE	357
#define	QLINTPRINTFLIKE	358
#define	QSCANFLIKE	359
#define	QMESSAGELIKE	360
#define	QNOTREACHED	361
#define	QCONST	362
#define	QVOLATILE	363
#define	QINLINE	364
#define	QEXTENSION	365
#define	QEXTERN	366
#define	QSTATIC	367
#define	QAUTO	368
#define	QREGISTER	369
#define	QOUT	370
#define	QIN	371
#define	QYIELD	372
#define	QONLY	373
#define	QTEMP	374
#define	QSHARED	375
#define	QREF	376
#define	QUNIQUE	377
#define	QCHECKED	378
#define	QUNCHECKED	379
#define	QCHECKEDSTRICT	380
#define	QCHECKMOD	381
#define	QKEEP	382
#define	QKEPT	383
#define	QPARTIAL	384
#define	QSPECIAL	385
#define	QOWNED	386
#define	QDEPENDENT	387
#define	QRETURNED	388
#define	QEXPOSED	389
#define	QNULL	390
#define	QOBSERVER	391
#define	QISNULL	392
#define	QEXITS	393
#define	QMAYEXIT	394
#define	QNEVEREXIT	395
#define	QTRUEEXIT	396
#define	QFALSEEXIT	397
#define	QLONG	398
#define	QSIGNED	399
#define	QUNSIGNED	400
#define	QSHORT	401
#define	QUNUSED	402
#define	QSEF	403
#define	QNOTNULL	404
#define	QRELNULL	405
#define	QABSTRACT	406
#define	QCONCRETE	407
#define	QMUTABLE	408
#define	QIMMUTABLE	409
#define	QTRUENULL	410
#define	QFALSENULL	411
#define	QEXTERNAL	412
#define	QREFCOUNTED	413
#define	QREFS	414
#define	QNEWREF	415
#define	QTEMPREF	416
#define	QKILLREF	417
#define	QRELDEF	418
#define	CGCHAR	419
#define	CBOOL	420
#define	CINT	421
#define	CGFLOAT	422
#define	CDOUBLE	423
#define	CVOID	424
#define	QANYTYPE	425
#define	QINTEGRALTYPE	426
#define	QUNSIGNEDINTEGRALTYPE	427
#define	QSIGNEDINTEGRALTYPE	428
#define	IDENTIFIER	429
#define	NEW_IDENTIFIER	430
#define	TYPE_NAME_OR_ID	431
#define	CCONSTANT	432
#define	ITER_NAME	433
#define	ITER_ENDNAME	434
#define	TYPE_NAME	435


extern YYSTYPE yylval;
